=== debian/control ===
Source: qt6-shadertools
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.1~),
               qt6-shader-baker <cross>,
               qt6-shadertools-dev:native <cross>
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-shadertools.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-shadertools
Maintainer: Neon CI <neon@kde.org>

Package: qt6-shadertools
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Provides: qt6-shadertools-private-abi (= 6.10.1)
Replaces: libqt6shadertools6, libqt6shadertools6t64, qt6-shader-baker
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 shader tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QTShaderTools module contains APIs and tools to provide functionality
 for the shader pipeline used by QtQuick.

Package: qt6-shadertools-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-shadertools (= ${binary:Version}), ${misc:Depends}
Breaks: libqt6shadertools6-dev (<< 6.4.1-1~)
Replaces: libqt6shadertools6-dev, qt6-shadertools-doc-dev
Description: Qt 6 shader tools module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtShaderTools library.

Package: qt6-shadertools-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-shadertools-dev, ${misc:Depends}
Replaces: qt6-shadertools-doc-html
Description: Qt 6 shader tools module - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files to help build Qt 6 applications
 using the QtShaderTools library.

Package: libqt6shadertools6
Architecture: all
Depends: qt6-shadertools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6shadertools6t64
Architecture: all
Depends: qt6-shadertools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6shadertools6-dev
Architecture: all
Depends: qt6-shadertools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-shader-baker
Architecture: all
Depends: qt6-shadertools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-shadertools-doc-html
Architecture: all
Depends: qt6-shadertools-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-shadertools-doc-dev
Architecture: all
Depends: qt6-shadertools-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
