## qt6-shadertools 6.10.2

=== debian/changelog ===
qt6-shadertools (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update ABI to 6.10.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Jan 2026 15:14:18 +0100

qt6-shadertools (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 Oct 2025 12:44:38 +0100

qt6-shadertools (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:47:09 +0200

qt6-shadertools (6.8.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with gcc-15 (Closes: #1097739).

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Sep 2025 10:38:33 +0200
