=== debian/control ===
Source: qt6-shadertools
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.24~),
               libgl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-shader-baker <cross>,
               qt6-shadertools-dev:native <cross>,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools

Package: libqt6shadertools6
Architecture: any
Multi-Arch: same
Provides: qt6-shadertools-private-abi (= 6.10.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 shader tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QTShaderTools module contains APIs and tools to provide functionality
 for the shader pipeline used by QtQuick.

Package: qt6-shader-baker
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 shader baker
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Shader Baker tool.

Package: qt6-shadertools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6shadertools6 (= ${binary:Version}),
         qt6-shader-baker (= ${binary:Version}),
         ${misc:Depends},
Breaks: libqt6shadertools6-dev (<< 6.4.1-1~),
Replaces: libqt6shadertools6-dev (<< 6.4.1-1~),
Description: Qt 6 shader tools module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtShaderTools library.

Package: qt6-shadertools-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 shader tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 shader tools.

Package: qt6-shadertools-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 shader tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 shader tools.

Package: qt6-shadertools-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 shadertools tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt shader tools
 documentation.
